Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Class Methods | Properties | List of all members
CSConnectionPolicy Class Reference

Defines the server connection policy used by a `CSUser`. More...

`#import <CSConnectionPolicy.h>`

Inherits NSObject.

## Class Methods
(instancetype) | + connectionPolicyWithSignalingServerGroup:
| Returns a new connection policy using the specified signaling server group. More...
(instancetype) | + connectionPolicyWithSignalingServer:
| Returns a new connection policy using the specified signaling server. More...
(instancetype) | + connectionPolicyWithSignalingServerGroup:signalingEnvironment:
| Returns a new connection policy using the specified signaling server group and signaling environment. More...
(instancetype) | + connectionPolicyWithSignalingServer:signalingEnvironment:
| Returns a new connection policy using the specified signaling server and signaling environment. More...

## Properties
CSSignalingServerGroup * | signalingServerGroup
| The signaling server group used by this connection policy. More...
NSTimeInterval | pingInterval
| The time interval at which a ping is sent to a server to verify that it is responsive. More...
NSTimeInterval | pingTimeout
| The amount of time to wait for a response to a server ping. More...
NSTimeInterval | keepAliveInterval
| The TCP (transport level) keep-alive interval. More...
uint16_t | keepAliveCount
| The number of unanswered TCP (transport-level) keep-alives after which the connection is considered lost. More...
NSTimeInterval | initialReconnectInterval
| The initial time interval between a connection failure and a reconnect attempt. More...
NSTimeInterval | maxReconnectInterval
| The maximum time interval between a connection failure and a reconnect attempt. More...
NSUInteger | localUDPPortMin
| Property to set Minimum value of the local UDP Port in UDP port Range. More...
NSUInteger | localUDPPortMax
| Property to set Maximum value of the local UDP Port in UDP port Range. More...
CSSignalingEnvironment | signalingEnvironment
| Information about the strategy to be used for establishing and re-establishing connections after a failure. More...

## Detailed Description

Defines the server connection policy used by a `CSUser`.

A connection policy is set during user creation and determines what servers a user will register with and how it should interact with them in failover scenarios.

## Method Documentation

+ (instancetype) connectionPolicyWithSignalingServer: |  | (CSSignalingServer *) | signalingServer |

Returns a new connection policy using the specified signaling server.

Parameters

  signalingServer | The signaling server to use with this connection policy.

+ (instancetype) connectionPolicyWithSignalingServer: |  | (CSSignalingServer *) | signalingServer
signalingEnvironment: |  | (CSSignalingEnvironment) | signalingEnvironment

Returns a new connection policy using the specified signaling server and signaling environment.

Parameters

  signalingServer | The signaling server to use with this connection policy.
  signalingEnvironment | The policy for (re)establishing connections. Note that if this policy is set to CSSignalingEnvironmentAlternate, then the signalingServer must use CSFailbackPolicyAutomatic.

+ (instancetype) connectionPolicyWithSignalingServerGroup: |  | (CSSignalingServerGroup *) | signalingServerGroup |

Returns a new connection policy using the specified signaling server group.

Parameters

  signalingServerGroup | The signaling server group to use with this connection policy.

+ (instancetype) connectionPolicyWithSignalingServerGroup: |  | (CSSignalingServerGroup *) | signalingServerGroup
signalingEnvironment: |  | (CSSignalingEnvironment) | signalingEnvironment

Returns a new connection policy using the specified signaling server group and signaling environment.

Parameters

  signalingServerGroup | The signaling server group to use with this connection policy.
  signalingEnvironment | The policy for (re)establishing connections. Note that if this policy is set to CSSignalingEnvironmentAlternate, then the encapsulated CSRegistrationGroups must be limited to a single CSSignalingServer per group, and that those CSSignalingServer objects must use CSFailbackPolicyAutomatic.

## Property Documentation

- (NSTimeInterval) initialReconnectInterval
| read write nonatomic assign

The initial time interval between a connection failure and a reconnect attempt.

If connection attempts continue to fail the reconnect interval will be progressively extended using a backoff algorithm based on this initial reconnect interval. The default is 2 seconds.

Set to zero to disable automatic reconnection attempts. Values < 0 or > 65535 are ignored.

- (uint16_t) keepAliveCount
| read write nonatomic assign

The number of unanswered TCP (transport-level) keep-alives after which the connection is considered lost.

- (NSTimeInterval) keepAliveInterval
| read write nonatomic assign

The TCP (transport level) keep-alive interval.

Set to zero to disable TCP keep-alives.

- (NSUInteger) localUDPPortMax
| read write nonatomic assign

Property to set Maximum value of the local UDP Port in UDP port Range.

If the port range is not specified or invalid then default port range will be used for UDP registration. Default Port Range is 5060 – 5070. Default Maximum value of the local UDP Port is 5070.

Port range will be considered as invalid if not matches with following: Minimum port should be less than Maximum port. Both Minimum and Maximum port should be configured. Minimum port should be greater than 1024 and less than 65535. Minimum or Maximum port should not be zero.

Some Servers allow Port 5061 only for TLS connection hence port 5061 will be skipped for UDP connection even includes in configured port range.

localUDPPortMax - Maximum value of local UDP port to use for SIP signaling

- (NSUInteger) localUDPPortMin
| read write nonatomic assign

Property to set Minimum value of the local UDP Port in UDP port Range.

If the port range is not specified or invalid then default port range will be used for UDP registration. Default Port Range is 5060 – 5070. Default Minimum value of the local UDP Port is 5060.

Port range will be considered as invalid if not matches with following: Minimum port should be less than Maximum port. Both Minimum and Maximum port should be configured. Minimum port should be greater than 1024 and less than 65535. Minimum or Maximum port should not be zero.

Some Servers allow Port 5061 only for TLS connection hence port 5061 will be skipped for UDP connection even includes in configured port range.

localUDPPortMin - Minimum value of local UDP port to use for SIP signaling

- (NSTimeInterval) maxReconnectInterval
| read write nonatomic assign

The maximum time interval between a connection failure and a reconnect attempt.

The default is 1800 seconds. Values < 0 or > 65535 are ignored.

- (NSTimeInterval) pingInterval
| read write nonatomic assign

The time interval at which a ping is sent to a server to verify that it is responsive.

Set to zero to disabling server pings.

- (NSTimeInterval) pingTimeout
| read write nonatomic assign

The amount of time to wait for a response to a server ping.

Set to zero to disable validation of server pings. If server pings are enabled and the server fails to response within the specified timeout, the connection to that server will be considered lost.

- (CSSignalingEnvironment) signalingEnvironment
| read write nonatomic assign

Information about the strategy to be used for establishing and re-establishing connections after a failure.

- (CSSignalingServerGroup*) signalingServerGroup
| read nonatomic assign

The signaling server group used by this connection policy.

The documentation for this class was generated from the following file:

- CSConnectionPolicy.h